Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 239164 (perl-Net-SinFP) - Review Request: perl-Net-SinFP - Full operating system stack fingerprinting suite
Summary: Review Request: perl-Net-SinFP - Full operating system stack fingerprinting s...
Keywords:
Status: CLOSED NOTABUG
Alias: perl-Net-SinFP
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: DBIx-SQLite-Simple perl-Net-Packet 376321
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-05-05 13:41 UTC by Sindre Pedersen Bjørdal
Modified: 2008-06-06 00:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-06 00:33:50 UTC


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-05 13:41:29 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-SinFP.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-SinFP-2.06-1.fc7.src.rpm

Description:
SinFP is a full operating system stack fingerprinting suite which bypasses
limitations that nmap has. This approach brings the era of OS fingerprinting
on a per-TCP port basis, not on a per-host basis.

Comment 1 Jason Tibbitts 2007-06-10 05:06:35 UTC
This fails to build for me in rawhide due to a missing build dependency on
perl(ExtUtils::MakeMaker).  You also need build dependencies on Test::Pod and
Test::Pod::Coverage.  Having done that, rpmlint gives:
  W: perl-Net-SinFP unversioned-explicit-provides SinFP
which is something you'll have to filter.  cpanspec can do the filtering for you
with --filter-provides.

Also, the built package fails to install because nothing provides
perl(Net::Packet::Target).  I suppose Net::Package is expected to provide it,
but it doesn't.  Either that or rpm thinks this package needs it when it doesn't.

Comment 2 Jason Tibbitts 2007-06-28 01:00:47 UTC
Ping?  This is blocked on perl-Net-Packet, which has been approved for some time
but not imported yet.  Is there any chance we could move forward soon?

Comment 3 Jason Tibbitts 2007-07-28 02:02:56 UTC
perl-Net-Packet is in rawhide now, so this could be built, but the issues in
comment #1 still apply.

Comment 4 Jason Tibbitts 2007-09-05 23:19:56 UTC
This has been needinfo for ages now; is anything ever going to happen with this
package?

Comment 5 Sindre Pedersen Bjørdal 2007-11-11 20:21:39 UTC
Bringing this one back, 

Updates:

- Add missing BRs: perl(ExtUtils::MakeMaker), perl(Test::Pod),
perl(Test::Pod::Coverage) and perl(Net::Packet::Target) (see
https://bugzilla.redhat.com/show_bug.cgi?id=376321)
- Update License tag

http://sindrepb.fedorapeople.org/packages/perl-Net-SinFP/perl-Net-SinFP.spec
http://sindrepb.fedorapeople.org/packages/perl-Net-SinFP/perl-Net-SinFP-2.06-2.fc8.src.rpm

Comment 6 Sindre Pedersen Bjørdal 2007-11-13 00:25:59 UTC
perl-Net-Packet-Target now in devel and updates for F-8 and F-7 are pending.
Shall we proceed?

Comment 7 Jason Tibbitts 2007-11-15 01:39:07 UTC
Fails to build for me, due to a failure in %check:

t/01-use.............Can't locate Net/Packet/Consts.pm in @INC (@INC contains:...)

Looks like you need a build dependency on perl(Net::Packet).  Adding that gets
everything building; I'll assume it's there for the purposes of this review.

rpmlint says:
  perl-Net-SinFP.src:4: W: unversioned-explicit-provides SinFP
It would be best if you provided a version here:
  Provides: SinFP = %{version}-%{release}

Now I see a rather significant problem: the License.  The both README and
LICENSE in this package pretty clearly say "Artistic License" which would render
this package unacceptable for Fedora.  You have "GPL+ or Artistic" in your
License: tag; do you have some other source for this package being under the GPL?


Comment 8 Jason Tibbitts 2007-11-15 01:43:14 UTC
BTW, if this really is just Artistic, perhaps upstream would be willing to
relicense under the Perl license or one of the revised/clarified Artistic
variants, all of which are acceptable for Fedora.

Comment 9 Sindre Pedersen Bjørdal 2007-11-15 02:13:50 UTC
I wasn't aware that Artistic was unacceptable. Sent an email to the upstream
developer asking about the license and if he's willing to change it. Guess this
package has to wait a little bit longer.

Comment 10 Jason Tibbitts 2008-01-19 04:22:52 UTC
Any progress?

Comment 11 Sindre Pedersen Bjørdal 2008-01-19 09:18:22 UTC
Here's the response I got from upstream

"In short, no GPL for my modules. Concerning the upgrade to Artistic v2, 
I will see that when I will update my modules, because I will not 
issue an update just for a distribution issue.

CPAN is the way to install modules anyway."

Comment 12 Jason Tibbitts 2008-01-19 16:43:22 UTC
Hilarious.  That comment belies such significant ignorance.

In any case, he doesn't actually have to issue updates; he just needs to provide
you with an email which permits us to use and distribute under the terms of
Artistic v2.  You can include that email in the package as documentation and
it's OK.


Comment 13 Sindre Pedersen Bjørdal 2008-01-24 12:52:54 UTC
neat.

Comment 14 Jason Tibbitts 2008-03-02 22:58:39 UTC
Any update?

Comment 15 Jason Tibbitts 2008-04-04 18:54:32 UTC
I guess it's time for another monthly ping on this ticket.  Is there any chance
that this could move forward?

Comment 16 Jason Tibbitts 2008-05-10 22:48:50 UTC
Looks like there's not been any progress.  Setting NEEDINFO; I'll close this
soon if nothing happens.


Note You need to log in before you can comment on or make changes to this bug.